org.jboss.jca.core.rar

## Class ActivationImpl

- java.lang.Object
- - org.jboss.jca.core.rar.ActivationImpl

- All Implemented Interfaces:
    org.jboss.jca.core.spi.rar.Activation

      public class ActivationImpl
      extends java.lang.Object
      implements org.jboss.jca.core.spi.rar.Activation

  An activation implementation
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.resource.spi.ActivationSpec` | `createInstance()` Create an instance of the associated activation spec.
    `java.util.Map<java.lang.String,java.lang.Class<?>>` | `getConfigProperties()` Get the config-property map with name and type pair
    `java.util.Set<java.lang.String>` | `getRequiredConfigProperties()` Get the required config-property set with names
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getConfigProperties

          public java.util.Map<java.lang.String,java.lang.Class<?>> getConfigProperties()

      Get the config-property map with name and type pair
      Specified by:
        `getConfigProperties` in interface `org.jboss.jca.core.spi.rar.Activation`
      Returns:
        The value

    - #### getRequiredConfigProperties

          public java.util.Set<java.lang.String> getRequiredConfigProperties()

      Get the required config-property set with names
      Specified by:
        `getRequiredConfigProperties` in interface `org.jboss.jca.core.spi.rar.Activation`
      Returns:
        The value

    - #### createInstance

          public javax.resource.spi.ActivationSpec createInstance()
                                                           throws org.jboss.jca.core.spi.rar.NotFoundException,
                                                                  java.lang.InstantiationException,
                                                                  java.lang.IllegalAccessException,
                                                                  javax.resource.ResourceException

      Create an instance of the associated activation spec.
      Specified by:
        `createInstance` in interface `org.jboss.jca.core.spi.rar.Activation`
      Returns:
        The value
      Throws:
        `org.jboss.jca.core.spi.rar.NotFoundException` - Thrown if the class is no longer available
        `java.lang.InstantiationException` - Thrown if an object couldn't created
        `java.lang.IllegalAccessException` - Thrown if object access is inaccessible
        `javax.resource.ResourceException` - Thrown if the activation spec can't be associated with the resource adapter

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)